14.04 – New mysql-server-8.0 script pre-removal package thread returned error status 1

I use Linux Mint. Updates and new installations of anything are blocked due to the mysql-server-8.0 package. I’ve tried both reinstalling and uninstalling mysql-server-8.0, but it won’t reinstall and uninstall. I get this error:

E: /tmp/apt-dpkg-install-gnTuSJ/00-mysql-server-8.0_8.0.26-0ubuntu0.20.04.2_amd64.deb: subprocess new package mysql-server-8.0 script pre-removal returned the status of error 1

On the web I found similar or the same problems, I tried to apply their solutions, but I can’t: whatever I write in the terminal does not work. I have already tried to no avail:
**- sudo dpkg -i –force-overwrite-all mysql-server-8.0

  • sudo dpkg -i –force-overwrite mysql-server-8.0
  • sudo dpkg -i –force-overwrite /var/cache/apt/archives/mysql-server-8.0**
  • sudo apt –fix-broken install** (I get this: dpkg: error processing archive /var/cache/apt/archives/mysql-server-8.0_8.0.26-0ubuntu0.20.04.2_amd64.deb (–unpack):
    mysql-server-8.0 pre-installation script new package thread returned error status 1
    There were errors in processing:
    /var/cache/apt/archives/mysql-server-8.0_8.0.26-0ubuntu0.20.04.2_amd64.deb
    E: Sub-process / usr / bin / dpkg returned an error code (1)

**- sudo dpkg -i mysql-apt-config_0.8.13-1_all.deb

  • sudo apt install – fix-broken

  • sudo dpkg –configure -a

  • sudo dpkg -i mysql-apt-config_0.8.12-1_all.deb**

  • sudo apt-get purge mysql* (I get this: E: The mysql-apt-config_0.8.10-1_all.deb package could not be found
    E: Could not find any packages via the glob “mysql-apt-config_0.8.10-1_all.deb”
    E: Could not find any packages via regular expression “mysql-apt-config_0.8.10-1_all.deb”
    E: The mysql-apt-config_0.8.11-1_all.deb package could not be found
    E: Could not find any packages via the glob “mysql-apt-config_0.8.11-1_all.deb”
    E: Could not find any packages via regular expression “mysql-apt-config_0.8.11-1_all.deb”
    E: The mysql-apt-config_0.8.12-1_all.deb package could not be found
    E: Could not find any packages via the glob “mysql-apt-config_0.8.12-1_all.deb”
    E: Could not find any packages via regular expression “mysql-apt-config_0.8.12-1_all.deb”
    E: The mysql-apt-config_0.8.12-1_all.deb.1 package could not be found
    E: Could not find any packages via the glob “mysql-apt-config_0.8.12-1_all.deb.1”
    E: Could not find any packages via regular expression “mysql-apt-config_0.8.12-1_all.deb.1”
    E: The mysql-apt-config_0.8.12-1_all.deb.2 package could not be found
    E: Could not find any packages via the glob “mysql-apt-config_0.8.12-1_all.deb.2”
    E: Could not find any packages via regular expression “mysql-apt-config_0.8.12-1_all.deb.2”)

  • sudo dpkg-reconfigure mysql-server-8.0 (I get this: / usr / sbin / dpkg-reconfigure: mysql-server-8.0 is broken or not fully installed)

and many other commands that I don’t remember. How can I solve? Thanks